TAP-tests need two Perl modules: Test::More and IPC::Run.

The patch adds checking of modules in configure.in and configure.


Eugene Kazakov,
Postgres Professional

diff --git a/configure b/configure
index 1903815..da6ed4b 100755
--- a/configure
+++ b/configure
@@ -15554,6 +15554,8 @@ done
   if test -z "$PERL"; then
     as_fn_error $? "Perl not found" "$LINENO" 5
   fi
+  AX_PROG_PERL_MODULES( Test::More, , as_fn_error $? "Need Perl Test::More module " "$LINENO" 5)
+  AX_PROG_PERL_MODULES( IPC::Run, , as_fn_error $? "Need Perl IPC::Run module " "$LINENO" 5)
 fi
 
 # Thread testing
diff --git a/configure.in b/configure.in
index 0bd90d7..17e0caa 100644
--- a/configure.in
+++ b/configure.in
@@ -2055,6 +2055,8 @@ if test "$enable_tap_tests" = yes; then
   if test -z "$PERL"; then
     AC_MSG_ERROR([Perl not found])
   fi
+  AX_PROG_PERL_MODULES( Test::More, , AC_MSG_ERROR( [Need Perl Test::More module] ))
+  AX_PROG_PERL_MODULES( IPC::Run, , AC_MSG_ERROR( [Need Perl IPC::Run module] ))
 fi
 
 # Thread testing
-- 
Sent via pgsql-hackers mailing list (pgsql-hackers@postgresql.org)
To make changes to your subscription:
http://www.postgresql.org/mailpref/pgsql-hackers

Reply via email to